package com.artfess.cqlt.manager;

import com.artfess.cqlt.model.QfFinanceReportingSummaryD;
import com.artfess.cqlt.model.QfFinanceReportingSummaryM;
import com.artfess.base.manager.BaseManager;
import com.artfess.poi.util.HeaderNode;

import java.util.List;

/**
 * 财务--总结报告填报主表 服务类
 *
 * @company 阿特菲斯信息技术有限公司
 * @author min.wu
 * @since 2023-03-06
 */
public interface QfFinanceReportingSummaryMManager extends BaseManager<QfFinanceReportingSummaryM> {

    boolean insertInfo(QfFinanceReportingSummaryM t);

    boolean updateInfo(QfFinanceReportingSummaryM t);

    boolean updateStatus(QfFinanceReportingSummaryM t);

    boolean importExcel(List<HeaderNode> list, String mainId);

    void removeInfo(String mainId);

}
